org.hibernate.search.elasticsearch.work.impl.factory

## Class Elasticsearch2WorkFactory

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.factory.Elasticsearch2WorkFactory

- All Implemented Interfaces:
    ElasticsearchWorkFactory
  Direct Known Subclasses:
    Elasticsearch5WorkFactory

      public class Elasticsearch2WorkFactory
      extends Object
      implements ElasticsearchWorkFactory

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch2WorkFactory(GsonProvider gsonProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkWorkBuilder` | `bulk(List<BulkableElasticsearchWork<?>> bulkableWorks)`
    `ClearScrollWorkBuilder` | `clearScroll(String scrollId)`
    `CloseIndexWorkBuilder` | `closeIndex(URLEncodedString indexName)`
    `CreateIndexWorkBuilder` | `createIndex(URLEncodedString indexName)`
    `DeleteWorkBuilder` | `delete(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id)`
    `DeleteByQueryWorkBuilder` | `deleteByQuery(URLEncodedString indexName, com.google.gson.JsonObject payload)`
    `DropIndexWorkBuilder` | `dropIndex(URLEncodedString indexName)`
    `ExplainWorkBuilder` | `explain(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id, com.google.gson.JsonObject payload)`
    `FlushWorkBuilder` | `flush()`
    `GetIndexSettingsWorkBuilder` | `getIndexSettings(URLEncodedString indexName)`
    `GetIndexTypeMappingsWorkBuilder` | `getIndexTypeMappings(URLEncodedString indexName)`
    `IndexWorkBuilder` | `index(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id, com.google.gson.JsonObject document)`
    `IndexExistsWorkBuilder` | `indexExists(URLEncodedString indexName)`
    `OpenIndexWorkBuilder` | `openIndex(URLEncodedString indexName)`
    `OptimizeWorkBuilder` | `optimize()`
    `PutIndexSettingsWorkBuilder` | `putIndexSettings(URLEncodedString indexName, IndexSettings settings)`
    `PutIndexMappingWorkBuilder` | `putIndexTypeMapping(URLEncodedString indexName, URLEncodedString typeName, TypeMapping mapping)`
    `RefreshWorkBuilder` | `refresh()`
    `ScrollWorkBuilder` | `scroll(String scrollId, String scrollTimeout)`
    `SearchWorkBuilder` | `search(com.google.gson.JsonObject payload)`
    `WaitForIndexStatusWorkBuilder` | `waitForIndexStatusWork(URLEncodedString indexName, ElasticsearchIndexStatus requiredStatus, String timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch2WorkFactory

          public Elasticsearch2WorkFactory(GsonProvider gsonProvider)

  - ### Method Detail

    - #### index

          public IndexWorkBuilder index(URLEncodedString indexName,
                                        URLEncodedString typeName,
                                        URLEncodedString id,
                                        com.google.gson.JsonObject document)

      Specified by:
        `index` in interface `ElasticsearchWorkFactory`

    - #### delete

          public DeleteWorkBuilder delete(URLEncodedString indexName,
                                          URLEncodedString typeName,
                                          URLEncodedString id)

      Specified by:
        `delete` in interface `ElasticsearchWorkFactory`

    - #### deleteByQuery

          public DeleteByQueryWorkBuilder deleteByQuery(URLEncodedString indexName,
                                                        com.google.gson.JsonObject payload)

      Specified by:
        `deleteByQuery` in interface `ElasticsearchWorkFactory`

    - #### flush

          public FlushWorkBuilder flush()

      Specified by:
        `flush` in interface `ElasticsearchWorkFactory`

    - #### refresh

          public RefreshWorkBuilder refresh()

      Specified by:
        `refresh` in interface `ElasticsearchWorkFactory`

    - #### optimize

          public OptimizeWorkBuilder optimize()

      Specified by:
        `optimize` in interface `ElasticsearchWorkFactory`

    - #### bulk

          public BulkWorkBuilder bulk(List<BulkableElasticsearchWork<?>> bulkableWorks)

      Specified by:
        `bulk` in interface `ElasticsearchWorkFactory`

    - #### search

          public SearchWorkBuilder search(com.google.gson.JsonObject payload)

      Specified by:
        `search` in interface `ElasticsearchWorkFactory`

    - #### explain

          public ExplainWorkBuilder explain(URLEncodedString indexName,
                                            URLEncodedString typeName,
                                            URLEncodedString id,
                                            com.google.gson.JsonObject payload)

      Specified by:
        `explain` in interface `ElasticsearchWorkFactory`

    - #### scroll

          public ScrollWorkBuilder scroll(String scrollId,
                                          String scrollTimeout)

      Specified by:
        `scroll` in interface `ElasticsearchWorkFactory`

    - #### clearScroll

          public ClearScrollWorkBuilder clearScroll(String scrollId)

      Specified by:
        `clearScroll` in interface `ElasticsearchWorkFactory`

    - #### createIndex

          public CreateIndexWorkBuilder createIndex(URLEncodedString indexName)

      Specified by:
        `createIndex` in interface `ElasticsearchWorkFactory`

    - #### dropIndex

          public DropIndexWorkBuilder dropIndex(URLEncodedString indexName)

      Specified by:
        `dropIndex` in interface `ElasticsearchWorkFactory`

    - #### openIndex

          public OpenIndexWorkBuilder openIndex(URLEncodedString indexName)

      Specified by:
        `openIndex` in interface `ElasticsearchWorkFactory`

    - #### closeIndex

          public CloseIndexWorkBuilder closeIndex(URLEncodedString indexName)

      Specified by:
        `closeIndex` in interface `ElasticsearchWorkFactory`

    - #### indexExists

          public IndexExistsWorkBuilder indexExists(URLEncodedString indexName)

      Specified by:
        `indexExists` in interface `ElasticsearchWorkFactory`

    - #### getIndexSettings

          public GetIndexSettingsWorkBuilder getIndexSettings(URLEncodedString indexName)

      Specified by:
        `getIndexSettings` in interface `ElasticsearchWorkFactory`

    - #### putIndexSettings

          public PutIndexSettingsWorkBuilder putIndexSettings(URLEncodedString indexName,
                                                              IndexSettings settings)

      Specified by:
        `putIndexSettings` in interface `ElasticsearchWorkFactory`

    - #### getIndexTypeMappings

          public GetIndexTypeMappingsWorkBuilder getIndexTypeMappings(URLEncodedString indexName)

      Specified by:
        `getIndexTypeMappings` in interface `ElasticsearchWorkFactory`

    - #### putIndexTypeMapping

          public PutIndexMappingWorkBuilder putIndexTypeMapping(URLEncodedString indexName,
                                                                URLEncodedString typeName,
                                                                TypeMapping mapping)

      Specified by:
        `putIndexTypeMapping` in interface `ElasticsearchWorkFactory`

    - #### waitForIndexStatusWork

          public WaitForIndexStatusWorkBuilder waitForIndexStatusWork(URLEncodedString indexName,
                                                                      ElasticsearchIndexStatus requiredStatus,
                                                                      String timeout)

      Specified by:
        `waitForIndexStatusWork` in interface `ElasticsearchWorkFactory`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved